--Thanks to Alexander Blade for ALICE and the WaitForPlayerPoolCreation and WaitForValidPlayer functions.
--Press PAGE UP to increase your Wanted Level, press PAGE DOWN to decrease it. Your wanted level will be locked at whatever you
--set it to.

PLAYER_ID, PLAYER_CHAR = 0
WantedLevel = 0

function WaitForPlayerPoolCreation()
	while (IsPlayerPoolCreated() == 0) do
		Wait(2000)
	end
end

function WaitForValidPlayer()
	PLAYER_CHAR = 0
		repeat 
			PLAYER_ID = _GET_PLAYER_ID()
				if (PLAYER_ID >= 0) then
					while true do
						if _IS_PLAYER_PLAYING(PLAYER_ID) == 0 
						then Wait(1000)
						else break
						end
				end
			local p = {}
			_GET_PLAYER_CHAR(PLAYER_ID, p)
			PLAYER_CHAR = p.a
				if (PLAYER_CHAR <= 0) then
					Wait(1000)
				end  
		end 
		until (PLAYER_CHAR > 0)  
end

function SetPlayIndex()
	PLAYER_ID = _GET_PLAYER_ID()
	local playIndex = {}
	playIndex = _CONVERT_INT_TO_PLAYERINDEX(PLAYER_ID)
end

function AdjustWantedLevel(level)
	ALTER_WANTED_LEVEL(playIndex, level)
	PushInt(0)
	CallNative("APPLY_WANTED_LEVEL_CHANGE_NOW")
end

function ClearWanted()
	PushInt(0)
	CallNative("CLEAR_WANTED_LEVEL")
end

function SetWantedLevel()
		if (WantedLevel ~= 0) then
			AdjustWantedLevel(WantedLevel)
		else
			ClearWanted()
		end
end

function main()
    WaitForPlayerPoolCreation()
    WaitForValidPlayer() 
    SetPlayIndex()
	while true do

    		if (IS_WANTED_LEVEL_GREATER(playIndex, WantedLevel) == 1) then
			SetWantedLevel()
    		end
    		if (IS_WANTED_LEVEL_GREATER(playIndex, WantedLevel-1) == 0) then
			SetWantedLevel()
    		end


	  if (IsKeyPressed(33) == 1) then
		if (WantedLevel < 6) then
     			WantedLevel = WantedLevel+1
			SetWantedLevel()
			PRINT_STRING_WITH_LITERAL_STRING_NOW("STRING", "Increased Wanted Level",5000,1);
			Wait(50)

		end
	  end
	  if (IsKeyPressed(34) == 1) then
		if (WantedLevel > 0) then
     			WantedLevel = WantedLevel-1
			SetWantedLevel()
			PRINT_STRING_WITH_LITERAL_STRING_NOW("STRING", "Decreased Wanted Level",5000,1);
			Wait(50)
		end
	  end

	
	end
end

main();